Index: pykota/trunk/pykota/accounter.py
===================================================================
--- pykota/trunk/pykota/accounter.py (revision 2302)
+++ pykota/trunk/pykota/accounter.py (revision 2409)
@@ -40,5 +40,5 @@
         self.filter = kotafilter
         self.arguments = arguments
-        self.onerror = self.filter.config.getPrinterOnAccounterError(self.filter.printername)
+        self.onerror = self.filter.config.getPrinterOnAccounterError(self.filter.PrinterName)
         self.isSoftware = 1 # by default software accounting
         
@@ -54,8 +54,6 @@
         # computes job's size
         self.JobSize = self.computeJobSize()
-        if ((self.filter.printingsystem == "CUPS") \
-            and (self.filter.preserveinputfile is not None)) \
-            or (self.filter.printingsystem != "CUPS") :
-            self.JobSize *= self.filter.copies
+        if self.filter.InputFile is not None :
+            self.JobSize *= self.filter.Copies
         
         # get last job information for this printer
@@ -90,5 +88,5 @@
 def openAccounter(kotafilter) :
     """Returns a connection handle to the appropriate accounter."""
-    (backend, args) = kotafilter.config.getAccounterBackend(kotafilter.printername)
+    (backend, args) = kotafilter.config.getAccounterBackend(kotafilter.PrinterName)
     try :
         exec "from pykota.accounters import %s as accounterbackend" % backend.lower()
Index: pykota/trunk/pykota/storage.py
===================================================================
--- pykota/trunk/pykota/storage.py (revision 2388)
+++ pykota/trunk/pykota/storage.py (revision 2409)
@@ -296,17 +296,10 @@
         jobprice = self.computeJobPrice(jobsize)
         if jobsize :
-            self.parent.beginTransaction()
-            try :
-                if jobprice :
-                    self.User.consumeAccountBalance(jobprice)
-                for upq in [ self ] + self.ParentPrintersUserPQuota :
-                    self.parent.increaseUserPQuotaPagesCounters(upq, jobsize)
-                    upq.PageCounter = int(upq.PageCounter or 0) + jobsize
-                    upq.LifePageCounter = int(upq.LifePageCounter or 0) + jobsize
-            except PyKotaStorageError, msg :    
-                self.parent.rollbackTransaction()
-                raise PyKotaStorageError, msg
-            else :    
-                self.parent.commitTransaction()
+            if jobprice :
+                self.User.consumeAccountBalance(jobprice)
+            for upq in [ self ] + self.ParentPrintersUserPQuota :
+                self.parent.increaseUserPQuotaPagesCounters(upq, jobsize)
+                upq.PageCounter = int(upq.PageCounter or 0) + jobsize
+                upq.LifePageCounter = int(upq.LifePageCounter or 0) + jobsize
         return jobprice
         
